/*=========================================================================
Project: Wealth, marriage and sex selection
Author: Girija Borker, Jan Eeckhout, Nancy Luke, Shantidani Minz, Kaivan 
Munshi and Soumya Swaminathan. 
---------------------------------------------------------------------------
Do file: 3_2_just_sister.do
=========================================================================*/

***************
* just sister *
***************

* family with pe + family , his/her sister and family - by each brother code S T, U V excluded because no U/ V's with a husband
gen js= .

local varlist S 
foreach sis of local varlist{
	
	replace js = 1 if (C2_6_`sis'==1) & ///
	(C2_6_`sis'H==1) & (C2_6_`sis'1==1|C2_6_`sis'2==1|C2_6_`sis'3==1|C2_6_`sis'4==1|C2_6_`sis'5==1|C2_6_`sis'6==1|C2_6_`sis'7==1|C2_6_`sis'8==1)
	
	replace num_sib=1 if C2_6=="`sis'" & (C2_6_`sis'==1) & ///
	(C2_6_`sis'H==1) & (C2_6_`sis'1==1|C2_6_`sis'2==1|C2_6_`sis'3==1|C2_6_`sis'4==1|C2_6_`sis'5==1|C2_6_`sis'6==1|C2_6_`sis'7==1|C2_6_`sis'8==1)
	
	* just sister and kids no husband
	replace js = 1 if (C2_6_`sis'==1) & ///
	(C2_6_`sis'1==1|C2_6_`sis'2==1|C2_6_`sis'3==1|C2_6_`sis'4==1|C2_6_`sis'5==1|C2_6_`sis'6==1|C2_6_`sis'7==1|C2_6_`sis'8==1)
	
	replace num_sib=1 if C2_6=="`sis'" & (C2_6_`sis'==1) & ///
	(C2_6_`sis'1==1|C2_6_`sis'2==1|C2_6_`sis'3==1|C2_6_`sis'4==1|C2_6_`sis'5==1|C2_6_`sis'6==1|C2_6_`sis'7==1|C2_6_`sis'8==1)
	
	* just sister's husband and kids
	replace js = 1 if (C2_6_`sis'H==1) & ///
	(C2_6_`sis'1==1|C2_6_`sis'2==1|C2_6_`sis'3==1|C2_6_`sis'4==1|C2_6_`sis'5==1|C2_6_`sis'6==1|C2_6_`sis'7==1|C2_6_`sis'8==1)
	
	replace num_sib=1 if C2_6=="`sis'H" &  (C2_6_`sis'H==1) & ///
	(C2_6_`sis'1==1|C2_6_`sis'2==1|C2_6_`sis'3==1|C2_6_`sis'4==1|C2_6_`sis'5==1|C2_6_`sis'6==1|C2_6_`sis'7==1|C2_6_`sis'8==1)
	
	* sister died, just husband and kids
	replace js = 1 if (C2_6_X`sis'H==1) & ///
	(C2_6_X`sis'1==1|C2_6_X`sis'2==1|C2_6_X`sis'6==1|C2_6_X`sis'7==1|C2_6_X`sis'8==1)
	
	replace num_sib=1 if C2_6=="X`sis'H" & (C2_6_X`sis'H==1) & ///
	(C2_6_X`sis'1==1|C2_6_X`sis'2==1|C2_6_X`sis'6==1|C2_6_X`sis'7==1|C2_6_X`sis'8==1)
	
}

local varlist T
foreach sis of local varlist{
	
	replace js = 1 if  (C2_6_`sis'==1) & ///
	(C2_6_`sis'H==1) & (C2_6_`sis'1==1|C2_6_`sis'2==1|C2_6_`sis'3==1|C2_6_`sis'6==1|C2_6_`sis'7==1)
	
	replace num_sib=1 if C2_6=="`sis'" & (C2_6_`sis'==1) & ///
	(C2_6_`sis'H==1) & (C2_6_`sis'1==1|C2_6_`sis'2==1|C2_6_`sis'3==1|C2_6_`sis'6==1|C2_6_`sis'7==1)
	
	* just sister and kids no husband
	replace js = 1 if  (C2_6_`sis'==1) & ///
	(C2_6_`sis'1==1|C2_6_`sis'2==1|C2_6_`sis'3==1|C2_6_`sis'6==1|C2_6_`sis'7==1)
	
	replace num_sib=1 if C2_6=="`sis'" & (C2_6_`sis'==1) & ///
	(C2_6_`sis'1==1|C2_6_`sis'2==1|C2_6_`sis'3==1|C2_6_`sis'6==1|C2_6_`sis'7==1)
	
	* just sister's husband and kids
	replace js = 1 if  (C2_6_`sis'H==1) & ///
	(C2_6_`sis'1==1|C2_6_`sis'2==1|C2_6_`sis'3==1|C2_6_`sis'6==1|C2_6_`sis'7==1)
	
	replace num_sib=1 if C2_6=="`sis'H" & (C2_6_`sis'H==1) & ///
	(C2_6_`sis'1==1|C2_6_`sis'2==1|C2_6_`sis'3==1|C2_6_`sis'6==1|C2_6_`sis'7==1)
	
	* sister died, just husband and kids
	* NO CASES
}

local varlist U
foreach sis of local varlist{
	
	* no cases of full family
	
	* just sister and kids no husband
	replace js = 1 if  (C2_6_`sis'==1) & ///
	(C2_6_`sis'1==1|C2_6_`sis'2==1|C2_6_`sis'6==1|C2_6_`sis'7==1)
	
	replace num_sib=1 if C2_6=="`sis'" & (C2_6_`sis'==1) & ///
	(C2_6_`sis'1==1|C2_6_`sis'2==1|C2_6_`sis'6==1|C2_6_`sis'7==1)
	
	* just sister's husband and kids
	* no cases
	
	* sister died, just husband and kids
	* no cases

}

local varlist V
foreach sis of local varlist{
	
	* no cases of fully family
	
	* just sister and kids no husband
	replace js = 1 if  (C2_6_`sis'==1) & ///
	(C2_6_`sis'6==1|C2_6_`sis'7==1)
	
	replace num_sib=1 if C2_6=="`sis'" & (C2_6_`sis'==1) & ///
	(C2_6_`sis'6==1|C2_6_`sis'7==1)
	
	* just sister's husband and kids
	* no cases
	
	* sister died, just husband and kids
	* no cases

}

* for cousin sisters such as FB6
local varlist FB6
foreach sis of local varlist{
	
	* no cases of fully family
	
	* just sister and kids no husband
	replace js = 1 if  (C2_6_`sis'==1) & ///
	(C2_6_`sis'6==1)
	
	replace num_sib=1 if C2_6=="`sis'" & (C2_6_`sis'==1) & ///
	(C2_6_`sis'6==1)
	
	* just sister's husband and kids
	* no cases
	
	* sister died, just husband and kids
	* no cases

}

* SPOUSE'S sister like WS
gen ws = .

local varlist S
foreach sis of local varlist{
	
	* fully family
	replace ws = 1 if (C2_6_W`sis'==1) & ///
	(C2_6_W`sis'H==1) & (C2_6_W`sis'1==1|C2_6_W`sis'2==1|C2_6_W`sis'6==1|C2_6_W`sis'7==1|C2_6_W`sis'8==1)
	
	replace num_sib=1 if C2_6=="W`sis'" & (C2_6_W`sis'==1) & ///
	(C2_6_W`sis'H==1) & (C2_6_W`sis'1==1|C2_6_W`sis'2==1|C2_6_W`sis'6==1|C2_6_W`sis'7==1|C2_6_W`sis'8==1)
	
	* just sister and kids no husband
	replace ws = 1 if  (C2_6_W`sis'==1) & ///
	(C2_6_W`sis'1==1|C2_6_W`sis'2==1|C2_6_W`sis'6==1|C2_6_W`sis'7==1|C2_6_W`sis'8==1)
	
	replace num_sib=1 if C2_6=="W`sis'" & (C2_6_W`sis'==1) & ///
	(C2_6_W`sis'1==1|C2_6_W`sis'2==1|C2_6_W`sis'6==1|C2_6_W`sis'7==1|C2_6_W`sis'8==1)
	
	* just sister's husband and kids
	replace ws = 1 if  (C2_6_W`sis'H==1) & ///
	(C2_6_W`sis'1==1|C2_6_W`sis'2==1|C2_6_W`sis'6==1|C2_6_W`sis'7==1|C2_6_W`sis'8==1)
	
	replace num_sib=1 if C2_6=="W`sis'H" & (C2_6_W`sis'H==1) & ///
	(C2_6_W`sis'1==1|C2_6_W`sis'2==1|C2_6_W`sis'6==1|C2_6_W`sis'7==1|C2_6_W`sis'8==1)
	
	* sister died, just husband and kids
	replace ws = 1 if  (C2_6_WX`sis'H==1) & ///
	(C2_6_WX`sis'1==1|C2_6_WX`sis'6==1|C2_6_WX`sis'7==1)
	
	replace num_sib=1 if C2_6=="WX`sis'H" & (C2_6_WX`sis'H==1) & ///
	(C2_6_WX`sis'1==1|C2_6_WX`sis'6==1|C2_6_WX`sis'7==1)
	

}

local varlist T
foreach sis of local varlist{
	
	* fully family
	* NO CASES
	
	* just sister and kids no husband
	replace ws = 1 if  (C2_6_W`sis'==1) & ///
	(C2_6_W`sis'1==1|C2_6_W`sis'6==1)
	
	replace num_sib=1 if C2_6=="W`sis'" & (C2_6_W`sis'==1) & ///
	(C2_6_W`sis'1==1|C2_6_W`sis'6==1)
	
	* just sister's husband and kids
	* no cases
	
	* sister died, just husband and kids
	* NO CASES
	
}

gen hs = .

local varlist HS
foreach sis of local varlist{
	
	* fully family
	replace hs = 1 if (C2_6_`sis'==1) & ///
	(C2_6_`sis'H==1) & (C2_6_`sis'1==1|C2_6_`sis'2==1|C2_6_`sis'6==1)
	
	replace num_sib=1 if C2_6=="`sis'" & (C2_6_`sis'==1) & ///
	(C2_6_`sis'H==1) & (C2_6_`sis'1==1|C2_6_`sis'2==1|C2_6_`sis'6==1)
	
	* just sister and kids no husband
	replace hs = 1 if  (C2_6_`sis'==1) & ///
	(C2_6_`sis'H==1) & (C2_6_`sis'1==1|C2_6_`sis'2==1|C2_6_`sis'6==1)
	
	replace num_sib=1 if C2_6=="`sis'" & (C2_6_`sis'==1) & ///
	(C2_6_`sis'H==1) & (C2_6_`sis'1==1|C2_6_`sis'2==1|C2_6_`sis'6==1)
	
	* just sister's husband and kids
	replace hs = 1 if  (C2_6_`sis'H==1) & ///
	(C2_6_`sis'1==1|C2_6_`sis'2==1|C2_6_`sis'6==1)
	
	replace num_sib=1 if C2_6=="`sis'H" & (C2_6_`sis'H==1) & ///
	(C2_6_`sis'1==1|C2_6_`sis'2==1|C2_6_`sis'6==1)
	
	* sister died, just husband and kids
	*no cases
	

}
