/*=========================================================================
Project: Wealth, marriage and sex selection
Author: Girija Borker, Jan Eeckhout, Nancy Luke, Shantidani Minz, Kaivan 
Munshi and Soumya Swaminathan. 
---------------------------------------------------------------------------
Do file: 3_3_daughter_family.do
=========================================================================*/

******************
* grand daughter *
******************

* hh with children of children (grandchildren of pe)

	gen df = . // grand daughter


	local varlist 6 // O
	foreach dau of local varlist{
		
		replace df = 1 if (C2_6_`dau'==1) & ///
		(C2_6_`dau'H==1) & (C2_6_`dau'1==1|C2_6_`dau'2==1|C2_6_`dau'3==1|C2_6_`dau'6==1|C2_6_`dau'7==1|C2_6_`dau'8==1)
		
		replace num_child = 1 if C2_6=="`dau'" & (C2_6_`dau'==1) & ///
		(C2_6_`dau'H==1) & (C2_6_`dau'1==1|C2_6_`dau'2==1|C2_6_`dau'3==1|C2_6_`dau'6==1|C2_6_`dau'7==1|C2_6_`dau'8==1)
		
		* just daughter and kids no husband
		replace df = 1 if (C2_6_`dau'==1) & ///
		(C2_6_`dau'1==1|C2_6_`dau'2==1|C2_6_`dau'3==1|C2_6_`dau'6==1|C2_6_`dau'7==1|C2_6_`dau'8==1)
		
		replace num_child = 1 if C2_6=="`dau'" & (C2_6_`dau'==1) & ///
		(C2_6_`dau'1==1|C2_6_`dau'2==1|C2_6_`dau'3==1|C2_6_`dau'6==1|C2_6_`dau'7==1|C2_6_`dau'8==1)
		
		* just daughter's husband and kids
		replace df = 1 if (C2_6_`dau'H==1) & ///
		(C2_6_`dau'1==1|C2_6_`dau'2==1|C2_6_`dau'3==1|C2_6_`dau'6==1|C2_6_`dau'7==1|C2_6_`dau'8==1)
		
		replace num_child = 1 if C2_6=="`dau'H" & (C2_6_`dau'H==1) & ///
		(C2_6_`dau'1==1|C2_6_`dau'2==1|C2_6_`dau'3==1|C2_6_`dau'6==1|C2_6_`dau'7==1|C2_6_`dau'8==1)
		
		* daughter died, just husband and kids
		replace df = 1 if (C2_6_X`dau'H==1) & ///
		(C2_6_X`dau'1==1|C2_6_X`dau'2==1|C2_6_X`dau'6==1|C2_6_X`dau'7==1)
		
		replace num_child = 1 if C2_6=="X`dau'H" & (C2_6_X`dau'H==1) & ///
		(C2_6_X`dau'1==1|C2_6_X`dau'2==1|C2_6_X`dau'6==1|C2_6_X`dau'7==1)
			
		
	}


	local varlist 7 // O
	foreach dau of local varlist{
		
		replace df = 1 if (C2_6_`dau'==1) & ///
		(C2_6_`dau'H==1) & (C2_6_`dau'1==1|C2_6_`dau'2==1|C2_6_`dau'3==1|C2_6_`dau'6==1|C2_6_`dau'7==1)
		
		replace num_child = 1 if C2_6=="`dau'" & (C2_6_`dau'==1) & ///
		(C2_6_`dau'H==1) & (C2_6_`dau'1==1|C2_6_`dau'2==1|C2_6_`dau'3==1|C2_6_`dau'6==1|C2_6_`dau'7==1)
		
		* just daughter and kids no husband
		replace df = 1 if (C2_6_`dau'==1) & ///
		(C2_6_`dau'1==1|C2_6_`dau'2==1|C2_6_`dau'3==1|C2_6_`dau'6==1|C2_6_`dau'7==1)
		
		replace num_child = 1 if C2_6=="`dau'" & (C2_6_`dau'==1) & ///
		(C2_6_`dau'1==1|C2_6_`dau'2==1|C2_6_`dau'3==1|C2_6_`dau'6==1|C2_6_`dau'7==1)
		
		* just daughter's husband and kids
		replace df = 1 if (C2_6_`dau'H==1) & ///
		(C2_6_`dau'1==1|C2_6_`dau'2==1|C2_6_`dau'3==1|C2_6_`dau'6==1|C2_6_`dau'7==1)
		
		replace num_child = 1 if C2_6=="`dau'H" & (C2_6_`dau'H==1) & ///
		(C2_6_`dau'1==1|C2_6_`dau'2==1|C2_6_`dau'3==1|C2_6_`dau'6==1|C2_6_`dau'7==1)
		
		* daughter died, just husband and kids
		replace df = 1 if (C2_6_X`dau'H==1) & ///
		(C2_6_X`dau'1==1|C2_6_X`dau'6==1|C2_6_X`dau'7==1)
		
		replace num_child = 1 if C2_6=="X`dau'H" & (C2_6_X`dau'H==1) & ///
		(C2_6_X`dau'1==1|C2_6_X`dau'6==1|C2_6_X`dau'7==1)
			
		
	}

	local varlist 8 // O
	foreach dau of local varlist{
		
		replace df = 1 if (C2_6_`dau'==1) & ///
		(C2_6_`dau'H==1) & (C2_6_`dau'1==1|C2_6_`dau'2==1|C2_6_`dau'6==1|C2_6_`dau'7==1)
		
		replace num_child = 1 if C2_6=="`dau'" & (C2_6_`dau'==1) & ///
		(C2_6_`dau'H==1) & (C2_6_`dau'1==1|C2_6_`dau'2==1|C2_6_`dau'6==1|C2_6_`dau'7==1)
		
		* just daughter and kids no husband
		replace df = 1 if (C2_6_`dau'==1) & ///
		(C2_6_`dau'1==1|C2_6_`dau'2==1|C2_6_`dau'6==1|C2_6_`dau'7==1)
		
		replace num_child = 1 if C2_6=="`dau'" & (C2_6_`dau'==1) & ///
		(C2_6_`dau'1==1|C2_6_`dau'2==1|C2_6_`dau'6==1|C2_6_`dau'7==1)
		
		* just daughter's husband and kids
		replace df = 1 if (C2_6_`dau'H==1) & ///
		(C2_6_`dau'1==1|C2_6_`dau'2==1|C2_6_`dau'6==1|C2_6_`dau'7==1)
		
		replace num_child = 1 if C2_6=="`dau'H" & (C2_6_`dau'H==1) & ///
		(C2_6_`dau'1==1|C2_6_`dau'2==1|C2_6_`dau'6==1|C2_6_`dau'7==1)
		
		* daughter died, just husband and kids
		* no cases	
		
	}

	local varlist 9 // O
	foreach dau of local varlist{
		
		replace df = 1 if (C2_6_`dau'==1) & ///
		(C2_6_`dau'H==1) & (C2_6_`dau'1==1|C2_6_`dau'6==1)
		
		replace num_child = 1 if C2_6=="`dau'" & (C2_6_`dau'==1) & ///
		(C2_6_`dau'H==1) & (C2_6_`dau'1==1|C2_6_`dau'6==1)
		
		* just daughter and kids no husband
		replace df = 1 if (C2_6_`dau'==1) & ///
		(C2_6_`dau'1==1|C2_6_`dau'6==1)
		
		replace num_child = 1 if C2_6=="`dau'" & (C2_6_`dau'==1) & ///
		(C2_6_`dau'1==1|C2_6_`dau'6==1)
		
		* just daughter's husband and kids
		replace df = 1 if (C2_6_`dau'H==1) & ///
		(C2_6_`dau'1==1|C2_6_`dau'6==1)
		
		replace num_child = 1 if C2_6=="`dau'H" & (C2_6_`dau'H==1) & ///
		(C2_6_`dau'1==1|C2_6_`dau'6==1)
		
		* daughter died, just husband and kids
		* no cases			
	}

* no cases for P or Q

* for daughters coded as XW6
	local varlist XW6 // O
	foreach dau of local varlist{
		
		* NO CASES
		
		* just daughter and kids no husband
		replace df = 1 if (C2_6_`dau'==1) & ///
		(C2_6_`dau'6==1)
		
		replace num_child = 1 if C2_6=="`dau'" & (C2_6_`dau'==1) & ///
		(C2_6_`dau'6==1)
		
		* just daughter's husband and kids
		* no cases
		
		* daughter died, just husband and kids
		* NO CASES
			
		
	}
	
* for daughters coded as W6
	local varlist W6 // O
	foreach dau of local varlist{
		
		* NO CASES
		
		* just daughter and kids no husband
		replace df = 1 if (C2_6_`dau'==1) & ///
		(C2_6_`dau'6==1)
		
		replace num_child = 1 if C2_6=="`dau'" & (C2_6_`dau'==1) & ///
		(C2_6_`dau'6==1)
		
		* just daughter's husband and kids
		* no cases
		
		* daughter died, just husband and kids
		* NO CASES
			
		
	}

* for daughters coded as Y6	
	local varlist Y6
	foreach dau of local varlist{
		
		replace df = 1 if (C2_6_`dau'==1) & ///
		(C2_6_`dau'H==1) & (C2_6_`dau'1==1|C2_6_`dau'6==1| C2_6_`dau'7==1)
		
		replace num_child = 1 if C2_6=="`dau'" &  (C2_6_`dau'==1) & ///
		(C2_6_`dau'H==1) & (C2_6_`dau'1==1|C2_6_`dau'6==1| C2_6_`dau'7==1)
		
		* just daughter and kids no husband
		replace df = 1 if (C2_6_`dau'==1) & ///
		(C2_6_`dau'1==1|C2_6_`dau'6==1| C2_6_`dau'7==1)
		
		replace num_child = 1 if C2_6=="`dau'" & (C2_6_`dau'==1) & ///
		(C2_6_`dau'1==1|C2_6_`dau'6==1| C2_6_`dau'7==1)
		
		* just daughter's husband and kids
		replace df = 1 if (C2_6_`dau'H==1) & ///
		(C2_6_`dau'1==1|C2_6_`dau'6==1| C2_6_`dau'7==1)
		
		replace num_child = 1 if C2_6=="`dau'H" & (C2_6_`dau'H==1) & ///
		(C2_6_`dau'1==1|C2_6_`dau'6==1| C2_6_`dau'7==1)
		
		* daughter died, just husband and kids
		* no cases			
	}
