clc;
clearvars;
clear all;
rng(30);

lb = [20, 0.6, 20/30, 0.0]; 
ub = [25, 0.9, 27/30, 0.2]; 

estimates = zeros(1, 4);

castes = [1,4,5,7,10,14,17,23,28,33,38,44];
temp5 = @(pars) est_all(pars, castes);
options = optimoptions('surrogateopt','UseParallel',false,'MaxFunctionEvaluations',200);
[z,fval,exitflag,output,trials] = surrogateopt(temp5,lb,ub,options);
estimates = z;

writematrix(estimates, 'data/coded/data_for_tables/sample_estimates.csv')